﻿#!/bin/sh
echo "  ________________________________________  "
echo " /  Adding Mandriva 2006 Repositories...  \ "
echo " \________________________________________/ "
echo ""
echo ""
echo ""
echo ""
echo "******************************"
echo "**** Adding Update Mirror ****"
echo "******************************"
urpmi.addmedia --update updates ftp://ftp.esat.net/pub/linux/mandrakelinux/official/updates/2006.0/main_updates/ with media_info/hdlist.cz
echo "******************************"
echo "***** Adding Main Mirror *****"
echo "******************************"
urpmi.addmedia main ftp://ftp.uio.no/linux/MandrivaLinux/official/2006.0/i586/media/main with media_info/hdlist.cz
echo "*********************************"
echo "***** Adding Contrib Mirror *****"
echo "*********************************"
urpmi.addmedia contrib ftp://ftp.nluug.nl/pub/os/Linux/distr/Mandrakelinux/official/2006.0/i586/media/contrib with media_info/hdlist.cz
echo "**********************************"
echo "***** Adding JPackage Mirror *****"
echo "**********************************"
urpmi.addmedia jpackage ftp://ftp.nluug.nl/pub/os/Linux/distr/Mandrakelinux/official/2006.0/i586/media/jpackage with media_info/hdlist.cz
echo "**********************************"
echo "***** Adding PLF-Free Mirror *****"
echo "**********************************"
urpmi.addmedia plf-free ftp://distrib-coffee.ipsl.jussieu.fr/pub/linux/plf/mandriva/free/2006.0/i586 with hdlist.cz
echo "*************************************"
echo "***** Adding PLF-Nonfree Mirror *****"
echo "*************************************"
urpmi.addmedia plf-nonfree ftp://ftp.free.fr/pub/Distributions_Linux/plf/mandriva/non-free/2006.0/i586 with hdlist.cz
echo "**********************************"
echo "***** Adding SoS-2006 Mirror *****"
echo "**********************************"
urpmi.addmedia SoS-2006 http://seerofsouls.com/mandriva/2006/i586/2006/ with hdlist.cz
echo "***********************************"
echo "***** Adding SoS-Xchat Mirror *****"
echo "***********************************"
urpmi.addmedia SoS-Xchat http://seerofsouls.com/mandriva/2006/i586/Xchat/ with hdlist.cz
echo "**********************************"
echo "***** Adding SoS-Xfce Mirror *****"
echo "**********************************"
urpmi.addmedia SoS-Xfce http://seerofsouls.com/mandriva/2006/i586/Xfce/ with hdlist.cz
echo "  ________________________________________  "
echo " / Repositories Added, Making Update Cron \ "
echo " \________________________________________/ "
echo ""
echo "Creating /etc/cron.daily/myupdates.cron..."
touch /etc/cron.daily/myupdates.cron
echo "Populating /etc/cron.daily/myupdates.cron..."
echo #!/bin/sh > /etc/cron.daily/myupdates.cron
echo urpmi.update -a >> /etc/cron.daily/myupdates.cron
echo urpmi --auto-select --auto >> /etc/cron.daily/myupdates.cron
echo "Setting Permissions on /etc/cron.daily/myupdates.cron..."
chmod 755 /etc/cron.daily/myupdates.cron
echo "Done."
echo "  ________________________________________  "
echo " /  Cron Job Created, Performing Update.  \ "
echo " \________________________________________/ "
echo ""
sh /etc/cron.daily/myupdates.cron
echo "  ________________________________________  "
echo " / All done! Enjoy your new Mandriva box. \ "
echo " \________________________________________/ "
echo ""